Distribution:	CCux
Packager: 	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	data display debugger
Name:      	ddd
Version:   	3.3.11
Release:   	2
Provides:	gdb
License: 	GNU/GPL
URL:		http://www.gnu.org/software/ddd/
Group:     	Development/Other
Source0: 	%{name}-%{version}.tar.gz
Source1:	ddd.desktop
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	openmotif-devel
BuildRequires:	glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  ncurses-devel
BuildRequires:	libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXaw-devel
BuildRequires:  libXext-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXp-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXt-devel
BuildRequires:  readline-devel

%description
GNU DDD is a graphical front-end for command-line debuggers such as GDB, DBX, WDB, Ladebug, JDB, XDB, the Perl debugger, the bash debugger, or the Python debugger. Besides ``usual'' front-end features such as viewing source texts, DDD has become famous through its interactive graphical data display, where data structures are displayed as graphs. 

%post 
ldconfig
/sbin/install-info %{_infodir}/ddd.info.gz %{_infodir}/dir 
 
%preun 
if [ "$1" = 0 ]; then 
    /sbin/install-info --del %{_infodir}/ddd.info.gz %{_infodir}/dir 
fi 

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --mandir=%_mandir --infodir=%_infodir --with-x --with-readline
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
cp icons/ddd.xpm $RPM_BUILD_ROOT/usr/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applications

%files
%defattr(-,root,root)
%_bindir
%_infodir/
%exclude %_infodir/dir
%_datadir/ddd-3.3.11
%_datadir/applications
%_datadir/pixmaps
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.3.11-2
- rebuilt against X.org 7.1.1
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.3.11-1
- Initial Release
